package edu.whs.spin2018.baoapp.views.menues;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.TextView;

import edu.whs.spin2018.baoapp.R;
import edu.whs.spin2018.baoapp.presenter.BaoSpielPresenter;
import edu.whs.spin2018.baoapp.service.Konstanten;
import edu.whs.spin2018.baoapp.utilities.ViewUtils;
import edu.whs.spin2018.baoapp.views.spiel.BaoSpielActivity;

/**
 * Dient zum starten eines Einzelspielerspieles. Hier wird der Schwierigkeitsgrad für die KI
 * gewaehlt.
 */
public class EinzelspielerActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_einzelspieler);

        getWindow().addFlags(WindowManager.LayoutParams.FLAG_KEEP_SCREEN_ON);

        TextView banner = findViewById(R.id.einzelspieler_banner);
        Button einfach = findViewById(R.id.einzelspieler_btn_leicht);
        Button mittel = findViewById(R.id.einzelspieler_btn_mittel);
        Button schwer = findViewById(R.id.einzelspieler_btn_schwer);

        ViewUtils.setzeSchatten(banner);
        ViewUtils.setzeSchatten(einfach);
        ViewUtils.setzeSchatten(mittel);
        ViewUtils.setzeSchatten(schwer);

        einfach.setOnClickListener(view -> {
            Intent einfach1 = new Intent(EinzelspielerActivity.this, BaoSpielActivity.class);
            einfach1.putExtra(Konstanten.EXTRA_SPIELTYP, BaoSpielPresenter.SPIEL_TYP_EINZELSPIELER_LEICHT);
            einfach1.putExtra(Konstanten.EXTRA_SCHWIERIGKEITSGRAD, Konstanten.SPIEL_SCHWIERIGKEIT_LEICHT);
            einfach1.putExtra(Konstanten.EXTRA_GEGNER_NAME, "Computer");
            startActivity(einfach1);
        });

        mittel.setOnClickListener(view -> {
            Intent mittel1 = new Intent(EinzelspielerActivity.this, BaoSpielActivity.class);
            mittel1.putExtra(Konstanten.EXTRA_SPIELTYP, BaoSpielPresenter.SPIEL_TYP_EINZELSPIELER_MITTEL);
            mittel1.putExtra(Konstanten.EXTRA_SCHWIERIGKEITSGRAD, Konstanten.SPIEL_SCHWIERIGKEIT_MITTEL);
            mittel1.putExtra(Konstanten.EXTRA_GEGNER_NAME, "Computer");
            startActivity(mittel1);
        });

        schwer.setOnClickListener(view -> {
            Intent schwer1 = new Intent(EinzelspielerActivity.this, BaoSpielActivity.class);
            schwer1.putExtra(Konstanten.EXTRA_SPIELTYP, BaoSpielPresenter.SPIEL_TYP_EINZELSPIELER_SCHWER);
            schwer1.putExtra(Konstanten.EXTRA_SCHWIERIGKEITSGRAD, Konstanten.SPIEL_SCHWIERIGKEIT_SCHWER);
            schwer1.putExtra(Konstanten.EXTRA_GEGNER_NAME, "Computer");
            startActivity(schwer1);
        });

    }
}
